Package org.eclipse.graphiti.ui.internal.util.ui.print

# Class ExportDiagramDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.graphiti.ui.internal.util.ui.print.AbstractFigureSelectionDialog
org.eclipse.graphiti.ui.internal.util.ui.print.ExportDiagramDialog

All Implemented Interfaces:
  `EventListener`, `ISaveAsImageConfiguration`, `org.eclipse.jface.window.IShellProvider`, `org.eclipse.swt.events.ModifyListener`, `org.eclipse.swt.events.SelectionListener`

public class ExportDiagramDialog extends AbstractFigureSelectionDialog implements org.eclipse.swt.events.ModifyListener, ISaveAsImageConfiguration
This is a simple dialog to choose the image-format and the image-scale-factor for a save-as-image operation.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`HEIGHTS`
`static final double[]`
`SCALE_FACTORS`
`static final String[]`
`WIDTHS`

### Fields inherited from class org.eclipse.graphiti.ui.internal.util.ui.print.AbstractFigureSelectionDialog

`_allFigure, _figure, _graphicalViewer, _image, _insideInternalModify, _preferences, _selectionFigure`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Fields inherited from interface org.eclipse.graphiti.ui.saveasimage.ISaveAsImageConfiguration

`OK`

## Constructor Summary

Constructors
Constructor
Description
`ExportDiagramDialog(org.eclipse.swt.widgets.Shell shell, org.eclipse.gef.GraphicalViewer graphicalViewer)`
Creates a new ExportDiagramDialog.

## Method Summary

Modifier and Type
Method
Description
`void`
`addExporters(Map<String,Boolean> diagramExporterTypes)`
Should add the given exporters to an internal list.
`int`
`configure()`
Does the actual configuration.
`protected void`
`configureShell(org.eclipse.swt.widgets.Shell newShell)`
`protected org.eclipse.swt.widgets.Control`
`createDialogArea(org.eclipse.swt.widgets.Composite parent)`
`final String`
`getFileExtension()`
Returns the file extension to use.
`final String`
`getFormattedFileExtension()`
Returns the selected file extension formatted in a standard way, e.g.
`final int`
`getImageFormat()`
Returns the image format as defined by the SWT.IMAGE_* constants like `SWT.IMAGE_BMP`.
`double`
`getImageScaleFactor()`
Retunrs the scale factor to be used in the saved image.
`void`
`modifyText(org.eclipse.swt.events.ModifyEvent e)`
`protected void`
`okPressed()`
`void`
`updateControls()`

### Methods inherited from class org.eclipse.graphiti.ui.internal.util.ui.print.AbstractFigureSelectionDialog

`cleanUp, createChooseFigureGroup, getFigure, getGraphicalViewer, getImage, getScaledImage, setScaledImage, setScaledImage, widgetDefaultSelected, widgetSelected`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.ui.saveasimage.ISaveAsImageConfiguration

`getFigure, getScaledImage`

## Field Details

### WIDTHS

public static final String[] WIDTHS

### HEIGHTS

public static final String[] HEIGHTS

### SCALE_FACTORS

public static final double[] SCALE_FACTORS

## Constructor Details

### ExportDiagramDialog

public ExportDiagramDialog(org.eclipse.swt.widgets.Shell shell, org.eclipse.gef.GraphicalViewer graphicalViewer)
Creates a new ExportDiagramDialog.

Parameters:
  `shell` - The Shell of this dialog.
  `graphicalViewer` - The GraphicalViewer, which to save.

## Method Details

### configure

public int configure()
Description copied from interface: `ISaveAsImageConfiguration`
Does the actual configuration. May bring up a UI.

Specified by:
  `configure` in interface `ISaveAsImageConfiguration`
Returns:

### addExporters

public void addExporters(Map<String,Boolean> diagramExporterTypes)
Description copied from interface: `ISaveAsImageConfiguration`
Should add the given exporters to an internal list. Clients may use this list to let users select in an UI from the exporters or programmatically decide which one to use.

Specified by:
  `addExporters` in interface `ISaveAsImageConfiguration`
Parameters:
  `diagramExporterTypes` - A `Map` holding all exporters.

### createDialogArea

protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

### configureShell

protected void configureShell(org.eclipse.swt.widgets.Shell newShell)

Overrides:
  `configureShell` in class `AbstractFigureSelectionDialog`

### modifyText

public void modifyText(org.eclipse.swt.events.ModifyEvent e)

Specified by:
  `modifyText` in interface `org.eclipse.swt.events.ModifyListener`

### updateControls

public void updateControls()

Overrides:
  `updateControls` in class `AbstractFigureSelectionDialog`

### okPressed

protected void okPressed()

Overrides:
  `okPressed` in class `org.eclipse.jface.dialogs.Dialog`

### getImageFormat

public final int getImageFormat()
Description copied from interface: `ISaveAsImageConfiguration`
Returns the image format as defined by the SWT.IMAGE_* constants like `SWT.IMAGE_BMP`.

Specified by:
  `getImageFormat` in interface `ISaveAsImageConfiguration`
Returns:
  An integer defining the format

### getFormattedFileExtension

public final String getFormattedFileExtension()
Description copied from interface: `ISaveAsImageConfiguration`
Returns the selected file extension formatted in a standard way, e.g. converted to lower case.

Specified by:
  `getFormattedFileExtension` in interface `ISaveAsImageConfiguration`
Returns:
  A string holding the file extension

### getFileExtension

public final String getFileExtension()
Description copied from interface: `ISaveAsImageConfiguration`
Returns the file extension to use.

Specified by:
  `getFileExtension` in interface `ISaveAsImageConfiguration`
Returns:
  A string holding the file extension

### getImageScaleFactor

public double getImageScaleFactor()
Description copied from interface: `ISaveAsImageConfiguration`
Retunrs the scale factor to be used in the saved image.

Specified by:
  `getImageScaleFactor` in interface `ISaveAsImageConfiguration`
Returns:
  A double value defining the scale factor.